{% extends 'Admin/admin.html.twig' %}

{% block extraTitle %} - Gestion des Joueurs en jeu{% endblock %}

{% set languageIcons = {
    'French': asset('img/flags/fr.png'),
    'English': asset('img/flags/en.png'),
    'Spanish': asset('img/flags/es.png'),
    'German': asset('img/flags/de.png')
} %}

{% block adminContent %}
    {# TODO Add Searchbar + World buttons to have all players with statistics #}
    {# https://www.w3schools.com/howto/howto_js_filter_table.asp #}
    <div class="scrollable border">
        <table id="adminTable">
            <thead>
            <tr>
                <th>Nom d'utilisateur</th>
                <th>Monde</th>
                <th>Santé</th>
                <th>Titre</th>
                <th>Date d'arrivée</th>
            </tr>
            </thead>
            <tbody>
            {% for user in users %}
                {% set currentLanguage = user.lord.worldMap.language %}
                <tr>
                    <td>
                        <a href="/user/{{ user.id }}">{{ user.displayName }}</a>
                    </td>
                    <td>{{ user.lord.worldMap.name }} <img src="{{ languageIcons[currentLanguage] }}" alt="Language {{ currentLanguage }}"></td>
                    <td>{{ ('healths.' ~ user.lord.health) | trans([], 'Management') }}</td>
                    <td>{{ ('lord.titles.' ~ user.lord.title.value) | trans([], 'Common') }}</td>
                    <td>{{ user.lord.birthDate ? user.lord.birthDate | date(null, 'Europe/Paris') : 'Unknown' }}</td>
                </tr>
            {% else %}
                <tr>
                    <td colspan="5">
                        ...
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

    <p style="text-align: right">Nombre de joueur(s) en jeu : {{ users | length }}</p>
{% endblock %}